import request from '@/utils/request'

// 查询排位赛报名用户列表列表
export function listLzydQualifyingUser(query) {
  return request({
    url: '/system/LzydQualifyingUser/list',
    method: 'get',
    params: query
  })
}

// 查询排位赛报名用户列表详细
export function getLzydQualifyingUser(id) {
  return request({
    url: '/system/LzydQualifyingUser/' + id,
    method: 'get'
  })
}

// 新增排位赛报名用户列表
export function addLzydQualifyingUser(data) {
  return request({
    url: '/system/LzydQualifyingUser',
    method: 'post',
    data: data
  })
}

// 修改排位赛报名用户列表
export function updateLzydQualifyingUser(data) {
  return request({
    url: '/system/LzydQualifyingUser',
    method: 'put',
    data: data
  })
}

// 删除排位赛报名用户列表
export function delLzydQualifyingUser(id) {
  return request({
    url: '/system/LzydQualifyingUser/' + id,
    method: 'delete'
  })
}

// 导出排位赛报名用户列表
export function exportLzydQualifyingUser(query) {
  return request({
    url: '/system/LzydQualifyingUser/export',
    method: 'get',
    params: query
  })
}